Page MenuHomePhabricator

Namespace mw.MwEmbedSupport methods
Closed, DeclinedPublic

Description

mw.MwEmbedSupport.js has a large number of methods directly on the mw object.

Several of these are general-sounding (mw.ready, mw.load, mw.inherit), so they can be initially confused with core methods. Others are specific to MwEmbedSupport (e.g. getEmbedPlayerPath), but just shouldn't be on the main object.

I think these should be moved to mw.mwEmbedSupport or somewhere else appropriate.


Version: master
Severity: normal

Details

Reference
bz60295

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:52 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz60295.
TheDJ added a comment.Nov 19 2014, 1:39 PM

Some of them I confused several times over the past 3 days. Some of them don't even have namespacing over their RL module names.

On my list of 'todos at some point'. biggest problem is that I'm not really familiar with the Kaltura side of this, so i don't really know what would break their setup.

Krinkle added a subscriber: Krinkle.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:37 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:37 PM
TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 25 2015, 2:04 PM
brion moved this task from Player to Player-Old on the TimedMediaHandler board.Apr 23 2018, 11:00 PM
Krinkle removed a subscriber: Krinkle.Apr 28 2018, 12:31 AM
MarcoAurelio closed this task as Declined.Aug 25 2018, 12:34 PM
MarcoAurelio added a subscriber: MarcoAurelio.

Declining MediaWiki-extensions-MwEmbedSupport tasks per T197918: Archive the MwEmbedSupport extension. Please reopen if closed wrongly. Thank you.